<style type='text/css' href='custom/include/javascript/dropzone/dropzone.min.css'></style>
<script src='custom/include/javascript/dropzone/dropzone.min.js'></script>
<script src='custom/include/javascript/resizeableimage.js'></script>
<style>
/*IMAGE RESIZING CSS*/
.resize-container {
    position: relative;
    display: inline-block;
    cursor: move;
    margin: 0 auto;
}

#599ad3
.resize-container img {
    display: block
}

.resize-container:hover img,
.resize-container:active img {
    outline: 2px dashed #599ad3;
}

.resize-handle-ne,
.resize-handle-se,
.resize-handle-nw,
.resize-handle-sw {
    position: absolute;
    display: block;
    width: 10px;
    height: 10px;
    background: #599ad3;
    z-index: 999;
}

.resize-handle-nw {
    top: -5px;
    left: -5px;
    cursor: nw-resize;
}

.resize-handle-sw {
    bottom: -5px;
    left: -5px;
    cursor: sw-resize;
}

.resize-handle-ne {
    top: -5px;
    right: -5px;
    cursor: ne-resize;
}

.resize-handle-se {
    bottom: -5px;
    right: -5px;
    cursor: se-resize;
}

.overlay {
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -100px;
  margin-top: -100px;
  z-index: 999;
  width: 200px;
  height: 200px;
    border: solid 2px #599ad3;
  box-sizing: content-box;
  pointer-events: none;
}

.overlay:after,
.overlay:before {
  content: '';
  position: absolute;
  display: block;
  width: 204px;
  height: 40px;
    border-left: dashed 2px #599ad3;
  border-right: dashed 2px #599ad3;
}

.overlay:before {
  top: 0;
  margin-left: -2px;
  margin-top: -40px;
}

.overlay:after {
  bottom: 0;
  margin-left: -2px;
  margin-bottom: -40px;
}

.overlay-inner:after,
.overlay-inner:before {
  content: '';
  position: absolute;
  display: block;
  width: 40px;
  height: 204px;
    border-top: dashed 2px #599ad3;
  border-bottom: dashed 2px #599ad3;
}

.overlay-inner:before {
  left: 0;
  margin-left: -40px;
  margin-top: -2px;
}

.overlay-inner:after{
  right: 0;
  margin-right: -40px;
  margin-top: -2px;
}

.btn-crop {
  position: absolute;
  vertical-align: bottom;
  right: 5px;
  bottom: 5px;
  padding: 6px 10px;
  z-index: 999;
  background-color: rgb(222,60,80);
  border: none;
  border-radius: 5px;
  color: #FFF;
}

.btn-crop img {
  vertical-align: middle;
  margin-left: 8px;
}

.flexi-image-content {
  max-width: 1290px;
  padding: 0 1em;
  margin: 0 auto;
  text-align: center;
}

.flexi-image-component {
  position: relative;
  /*background: url(../img/gridme.png) repeat center center;
  padding: 4em;*/
  height: 100%;
  width: 100%;
  /*border: 1px dashed #888;*/
  /*max-width: 901px;*/
  overflow: hidden;
  margin: 0 auto;
}

/*END IMAGE RESIZING CSS*/

.flexi-h1, .flexi-h1 textarea { font-size: 24px !important; font-weight: bold;}
.flexi-h2, .flexi-h2 textarea { font-size: 22px !important; font-weight: bold;}
.flexi-h3, .flexi-h3 textarea { font-size: 18px !important; font-weight: bold;}
.flexi-h4, .flexi-h4 textarea { font-size: 16px !important; font-weight: bold;}
.flexi-text, .flexi-text textarea { font-size: 14px !important;}
.flexi-image { font-size: 14px !important;}

.text-content textarea {
    outline-width: 0;
    box-shadow: none !important;
    width: 100%;
    resize: none !important;
    margin-bottom: 10px;    
    border: 0; 
    padding: 0;
    line-height: 1em;
}

.element-list, .content-list, .trash-location {
  padding: 10px;
}
.trash-location div, .element-list .image {
  border: 1px dashed #888;
  padding: 20px;
}
.element-list div {
  border: 1px dashed #888;
  margin-bottom: 10px;
}

.trash-hover {
  background-color: red !important;
}

.image-content{
  position: relative;
}

.text-content{
  text-align: left;
  white-space: pre-wrap;
  overflow: hidden;
  position:relative;
}

span.flexi-edit-style{
  position:absolute;
  top:6px;
  right: 21px;
  font-size: 15px;
  cursor: pointer;
  z-index: 5;
}

span.flexi-save-style{
  position:absolute;
  top:5px;
  right: 3px;
  font-size: 15px;
  cursor: pointer;
  z-index: 5;

}

.flexi-highlight{
  background-color: #F6F6F6;
}

/*.image-content{
  padding: 50px !important;
}*/

.content-list > div {
  border: 1px dashed #888;
  margin-bottom: 10px;
  padding: 10px 0; 
  line-height: 1em;
}

</style>
<div class="row-fluid">
  <div class="alert alert-info alert-block" style="margin-bottom: 0; padding: 10px;">
    This tool allows you to define the payment milestones associated with your opportunity. These milestones<br/>are used by the administration team to generate invoices once the project moves forward.
  </div>
</div>
<div class="row-fluid" style="border-bottom: 1px solid #ddd; background-color: #fff; overflow: auto; height:700px">  
  {{#if bLoaded}}
  <div class="row-fluid span12">
    <div class="span8 tleft" style="padding: 20px;">
      
    </div>
    <div class="span4 tright" style="padding: 20px;">
      <button class="btn btn-primary goto-record"><i class="fa fa-home"></i> Cancel &amp; Return</button>
      <!-- <button class="btn btn-primary goto-record"><i class="fa fa-home"></i> Save &amp; Return</button> -->
      <button class="btn btn-primary save-field"><i class="fa fa-save"></i> Save &amp; Merge</button>
    </div>
  </div>
  <div class="row-fluid span12" style="margin-left: 0; padding: 10px;">
    <div class="span6" style="min-height: 800px; border: 1px dashed #888;" id='flexi-sortable'>
      <div class="content-list list">
        <div class="item ui-sortable-handle text-content flexi-h1" data-fieldtype="h1"></span>Sample Title</div>        
      </div>      
    </div>
    <div class="span6" style="min-height: 800px; border: 1px dashed #888;" id='flexidoc-elements'>
      <div class="trash-location">
        <div id="trash"><i class="fa fa-trash-o fa-2x"></i></div>
      </div>
      <div class="element-list list">
        <div class="item" data-fieldtype="h1"><h1 class='flexi flexi-h1'>H1</h1></div>
        <div class="item" data-fieldtype="h2"><h2 class='flexi flexi-h2'>H2</h2></div>
        <div class="item" data-fieldtype="h3"><h3 class='flexi flexi-h3'>H3</h3></div>
        <div class="item" data-fieldtype="h4"><h4 class='flexi flexi-h4'>H4</h3></div>
        <div class="item" data-fieldtype="p"><text class='flexi flexi-text'>Text</text></div>
        <div class="item image" data-fieldtype="image"><text class='flexi flexi-image'><i class="fa fa-picture-o fa-2x"></i></text></div>
      </div>
    </div>
  </div>
  {{else}}
  <div class="list-view" style="padding: 20px; font-size: 20px;">
    <p><i class='icon-spinner icon-spin fa fa-spinner fa-spin'></i> Loading Field Data</p>
  </div>
  {{/if}}
  <div id="preview-template" style="display: none;">
    <div class="dz-preview dz-file-preview">
      <div class="dz-details">
        <div class="dz-filename" style='display: none;'><span data-dz-name></span></div>
        <div class="dz-size" data-dz-size style='display: none;'></div>
        <img class='resize-image' data-dz-thumbnail />
      </div>
      <div class="dz-progress" style='display: none;'><span class="dz-upload" data-dz-uploadprogress></span></div>
      <div class="dz-success-mark" style='display: none;'><span>✔</span></div>
      <div class="dz-error-mark" style='display: none;'><span>✘</span></div>
      <div class="dz-error-message" style='display: none;'><span data-dz-errormessage></span></div>
    </div>
  </div>
  <script type='text/javascript' src='custom/clients/base/views/blockedit/dropzone.min.js' ></script>
  <script type='text/javascript' src='custom/clients/base/views/blockedit/component.js' ></script>
</div>

